# ApplicationFramework
TKPShape
MgtPoly

# MgtPoly Class Reference

This package provides methods to translate
transient objects from Poly to persistent objects
from PPoly and vice-versa.
As far as objects can be shared (just as Geometry),
a map is given as translate argument.
.

`#include <MgtPoly.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Poly_Triangle | Translate (const PPoly_Triangle &POjb)
| translates Transient -> Persistent
static Standard_EXPORT PPoly_Triangle | Translate (const Poly_Triangle &TObj)
| translates Persistent -> Transient
static Standard_EXPORT Handle_Poly_Triangulation | Translate (const Handle(PPoly_Triangulation)&PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient
static Standard_EXPORT Handle_PPoly_Triangulation | Translate (const Handle(Poly_Triangulation)&TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent
static Standard_EXPORT Handle_Poly_Polygon3D | Translate (const Handle(PPoly_Polygon3D)&PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient
static Standard_EXPORT Handle_PPoly_Polygon3D | Translate (const Handle(Poly_Polygon3D)&TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent
static Standard_EXPORT Handle_Poly_Polygon2D | Translate (const Handle(PPoly_Polygon2D)&PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient
static Standard_EXPORT Handle_PPoly_Polygon2D | Translate (const Handle(Poly_Polygon2D)&TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent
static Standard_EXPORT Handle_Poly_PolygonOnTriangulation | Translate (const Handle(PPoly_PolygonOnTriangulation)&PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient
static Standard_EXPORT Handle_PPoly_PolygonOnTriangulation | Translate (const Handle(Poly_PolygonOnTriangulation)&TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent

## Member Function Documentation

void MgtPoly::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MgtPoly::operator new | ( | size_t | size | ) | `[inline]`

void* MgtPoly::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_PPoly_PolygonOnTriangulation MgtPoly::Translate | ( | const Handle(Poly_PolygonOnTriangulation)& | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_Poly_PolygonOnTriangulation MgtPoly::Translate | ( | const Handle(PPoly_PolygonOnTriangulation)& | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_PPoly_Polygon2D MgtPoly::Translate | ( | const Handle(Poly_Polygon2D)& | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_Poly_Polygon2D MgtPoly::Translate | ( | const Handle(PPoly_Polygon2D)& | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_PPoly_Polygon3D MgtPoly::Translate | ( | const Handle(Poly_Polygon3D)& | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_Poly_Polygon3D MgtPoly::Translate | ( | const Handle(PPoly_Polygon3D)& | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_PPoly_Triangulation MgtPoly::Translate | ( | const Handle(Poly_Triangulation)& | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) | `[static]`

static Standard_EXPORT Handle_Poly_Triangulation MgtPoly::Translate | ( | const Handle(PPoly_Triangulation)& | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) | `[static]`

static Standard_EXPORT PPoly_Triangle MgtPoly::Translate | ( | const Poly_Triangle & | TObj | ) | `[static]`

static Standard_EXPORT Poly_Triangle MgtPoly::Translate | ( | const PPoly_Triangle & | POjb | ) | `[static]`

The documentation for this class was generated from the following file:

- MgtPoly.hxx